/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

package android.os.statsd.external_display;

import "frameworks/proto_logging/stats/atoms.proto";
import "frameworks/proto_logging/stats/atom_field_options.proto";
import "frameworks/proto_logging/stats/enums/server/display/enums.proto";

// This file contains extension atoms for external displays.

extend Atom {
    optional ExternalDisplayStateChanged external_display_state_changed = 806 [(module) = "framework"];
}

/**
 * Logs when the external display state changes.
 *
 * Logged from:
 *   frameworks/base/services/core/java/com/android/server/display/ExternalDisplayStatsService.java
 */
message ExternalDisplayStateChanged {
    optional android.server.display.ExternalDisplayState state = 1;
    optional int32 displays_count = 2;
    optional bool is_audio_on_external_display = 3;
}
